"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var k=Object.create;var w=Object.defineProperty,j=Object.defineProperties,I=Object.getOwnPropertyDescriptor,C=Object.getOwnPropertyDescriptors,J=Object.getOwnPropertyNames,f=Object.getOwnPropertySymbols,H=Object.getPrototypeOf,g=Object.prototype.hasOwnProperty,N=Object.prototype.propertyIsEnumerable;var h=(t,e,n)=>e in t?w(t,e,{enumerable:!0,configurable:!0,writable:!0,value:n}):t[e]=n,m=(t,e)=>{for(var n in e||(e={}))g.call(e,n)&&h(t,n,e[n]);if(f)for(var n of f(e))N.call(e,n)&&h(t,n,e[n]);return t},y=(t,e)=>j(t,C(e));var B=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports);var T=(t,e,n,s)=>{if(e&&typeof e=="object"||typeof e=="function")for(let i of J(e))!g.call(t,i)&&i!==n&&w(t,i,{get:()=>e[i],enumerable:!(s=I(e,i))||s.enumerable});return t};var U=(t,e,n)=>(n=t!=null?k(H(t)):{},T(e||!t||!t.__esModule?w(n,"default",{value:t,enumerable:!0}):n,t));var v=(t,e,n)=>new Promise((s,i)=>{var c=r=>{try{a(n.next(r))}catch(d){i(d)}},p=r=>{try{a(n.throw(r))}catch(d){i(d)}},a=r=>r.done?s(r.value):Promise.resolve(r.value).then(c,p);a((n=n.apply(t,e)).next())});var b=B((Q,x)=>{x.exports=Vue});var o=U(b());var A="onShow",O="onHide";function l(t,e,...n){uni.__log__?uni.__log__(t,e,...n):console[t].apply(console,[...n,e])}var S=t=>(e,n=(0,o.getCurrentInstance)())=>{!o.isInSSRComponentSetup&&(0,o.injectHook)(t,e,n)},V=S(A),W=S(O),$="test",z={dev:{apiBaseUrl:"https://warehouse.szjixun.cn/oa_backend",h5Url:"http://172.20.10.7:8080/#/"},test:{apiBaseUrl:"https://warehouse.szjixun.cn/oa_backend",h5Url:"http://114.218.158.24:9051/#/"},prod:{apiBaseUrl:"https://oa-a.szjixun.cn/#/",h5Url:"http://oa-a.szjixun.cn/#/"}},R=z[$],D=(t,e,n="onReceive")=>{if(!t){l("error","at utils/communicate/index.js:3","evalJs: The reference to the webview is not provided or is null.");return}if(typeof t.evalJs!="function"){l("error","at utils/communicate/index.js:8","evalJs: The evalJs method is not available on the provided reference.");return}try{let s=JSON.stringify(e),i=`window.${n}(${s})`;t.evalJs(i)}catch(s){l("error","at utils/communicate/index.js:18","evalJs: An error occurred while trying to stringify the parameter value or while invoking evalJs.",s)}},E=t=>t.detail.data[0];uni;var L={content:{"":{display:"flex",flex:1}}},P=(t,e)=>{let n=t.__vccOpts||t;for(let[s,i]of e)n[s]=i;return n},q={__name:"index",setup(t){let e=(0,o.ref)(null),n=uni.getSystemInfoSync();plus.runtime.setBadgeNumber(8);let s=c=>{c.isConnected?uni.redirectTo({url:"/pages/index/index"}):uni.showToast({title:"\u7F51\u7EDC\u65E0\u8FDE\u63A5",icon:"none"})};V(()=>{uni.onNetworkStatusChange(s)}),W(()=>{uni.offNetworkStatusChange(s)});let i=c=>{switch(E(c).action){case"load-complete":{let a=uni.getSystemInfoSync();uni.getLocation({type:"gcj02",geocode:!1,isHighAccuracy:!1,success:r=>v(this,null,function*(){D(e.value,y(m({},r),{systemInfo:a,webViewRef:e.value}))}),fail:r=>{l("log","at pages/index/index.nvue:82",r)}})}}};return(c,p)=>((0,o.openBlock)(),(0,o.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,o.createElementVNode)("div",{class:"content"},[(0,o.createElementVNode)("u-web-view",{class:"webview","on:onPostMessage":i,style:(0,o.normalizeStyle)({height:`${(0,o.unref)(n).windowHeight}px`,width:`${(0,o.unref)(n).windowWidth}`}),ref_key:"webViewRef",ref:e,src:(0,o.unref)(R).h5Url},null,44,["src"])])]))}},u=P(q,[["styles",[L]]]);var _=plus.webview.currentWebview();if(_){let t=parseInt(_.id),e="pages/index/index",n={};try{n=JSON.parse(_.__query__)}catch(i){}u.mpType="page";let s=Vue.createPageApp(u,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:e,__pageQuery:n});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...u.styles||[]])),s.mount("#root")}})();
